/*
This Source Code Form is subject to the terms of the Mozilla Public
License, v. 2.0. If a copy of the MPL was not distributed with this
file, You can obtain one at https://mozilla.org/MPL/2.0/.
*/

package protocols

func NewClientPM() *ClientPM {
	return &ClientPM{}
}

type ClientPMState int

const (
	ClientPMStateNihil ClientPMState = iota
)

type ClientPM struct {
	state ClientPMState
}

func (pm *ClientPM) Event(sdu []byte) ([]byte, error) {
	return sdu, nil
}

func (pm *ClientPM) ReqAlloc(buf []byte) []byte {
	buf[0] = 1
	return buf[:8]
}
